<?php
class autnum 
{
	public function objectSet()
 	{
		$autnum = array(
			"aut-num" => "1:0",
			"as-name" => "1:0",
			"descr" => "1:1",
			"import" => "0:1",
			"export" => "0:1",
			"default" => "0:1",
			"remarks" => "0:1",
			"admin-c" => "1:1",
			"tech-c" => "1:1",
			"notify" => "0:1",
			"mnt-by" => "1:1",
			"mnt-lower" => "0:1",
			"changed" => "1:1",
			"source" => "1:0"
		);
		return $autnum;
	}
	public function objectCheck() 
	{
		# single
		$this->asnumCheck($this->objectarray["aut-num"][0], "aut-num", "autnum"); // CHECK -> TABLE?
		$this->charnumCheck($this->objectarray["as-name"][0], "as-name");
		# it's mandatory btw :)
		if (array_key_exists("descr", $this->objectarray) == true) {
			$arr = array_values($this->objectarray["descr"]);
			foreach ($arr as $key => $value) {
				$this->maxlenghtCheck($value, "descr");
			}
		}
		if (array_key_exists("import", $this->objectarray) == true) {
			$arr = array_values($this->objectarray["import"]);
			foreach ($arr as $key => $value) {
				$this->maxlenghtCheck($value, "import");
			}
		}
		if (array_key_exists("export", $this->objectarray) == true) {
			$arr = array_values($this->objectarray["export"]);
			foreach ($arr as $key => $value) {
				$this->maxlenghtCheck($value, "export");
			}
		}
		if (array_key_exists("default", $this->objectarray) == true) {
			$arr = array_values($this->objectarray["default"]);
			foreach ($arr as $key => $value) {
				$this->maxlenghtCheck($value, "default");
			}
		}
		if ( array_key_exists("remarks", $this->objectarray) == true ) {
			$arr = array_values($this->objectarray["remarks"]);
			foreach ($arr as $key => $value) {
				$this->maxlenghtCheck($value, "remarks");
			}
		}
		if ( array_key_exists("admin-c", $this->objectarray) == true) {
			$arr = array_values($this->objectarray["admin-c"]);
			foreach ($arr as $key => $value) {
				$this->contactCheck($value, "admin-c");
			}
		}
		if ( array_key_exists("tech-c", $this->objectarray) == true) {
			$arr = array_values($this->objectarray["tech-c"]);
			foreach ($arr as $key => $value) {
				$this->contactCheck($value, "tech-c");
			}
		}
		if ( array_key_exists("notify", $this->objectarray) == true ) {
			$arr = array_values($this->objectarray["notify"]);
			foreach ($arr as $key => $value) {
				$this->emailCheck($value, "notify");
			}
		}
		if ( array_key_exists("mnt-by", $this->objectarray) == true ) {
			$arr = array_values($this->objectarray["mnt-by"]);
			foreach ($arr as $key => $value) {
				$this->mntbyCheck($value, "mntby");
			}
		}
		if (array_key_exists("mnt-lower", $this->objectarray) == true) {
			$arr = array_values($this->objectarray["mnt-lower"]);
			foreach ($arr as $key => $value) {
				$this->mntbyCheck($value, "mntlower");
			}
		}
		if (array_key_exists("changed", $this->objectarray) == true) {
			$arr = array_values($this->objectarray["changed"]);
			foreach ($arr as $key => $value) {
				$this->emailCheck($value, "changed");
			}
		}
	}
}
?>
