<?php
class db {
	private $dbconn = NULL;
	public $path = "";
	function __construct($path = "")
	{
		$this->path = $path;
		if (file_exists("{$path}config.php") && is_readable("{$path}config.php"))
		{
			require_once("{$path}config.php");
			$this->dbconn = pg_connect("host=". DBHOST ." port=5432 dbname=".
			 	DBNAME ." user=". DBUSER." password=".DBPASS);
		} else {
			return true;
		}
	}
	function __destruct()
	{
		unset($this->dbconn);
	}
	public function query($sql)
	{
		if (($result = pg_query($this->dbconn, $sql)) != false)
		{
			$retval = array();
			while ($obj = pg_fetch_object($result))
			{
				$retval[] = $obj;
			}
			pg_free_result($result);
		} else {
			$retval = false;
		}
		return $retval;
	}
}
?>
