<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:template name="content">
		<pre>
			<xsl:for-each select="obj/*">
				<xsl:sort select="./form_order" data-type="number" order="ascending" />
				<xsl:value-of select="name()" />: <xsl:value-of select="./value" /><br />
			</xsl:for-each>
		</pre>
		<xsl:if test="notice/entry">
			<h5>Following errors were detected:</h5>
			<ul>
				<xsl:for-each select="notice/entry">
					<li><xsl:value-of select="text" /></li>
				</xsl:for-each>
			</ul>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
