<?php
class inet6num 
{
	public function objectSet() 
	{
		$inet6num = array(
			"inet6num" => "1:0",
			"netname" => "1:0",
			"descr" => "1:1",
			"country" => "0:1",
			"admin-c" => "1:1",
			"tech-c" => "1:1",
			"rev-srv" => "0:1",
			"remarks" => "0:1",
			"notify" => "0:1",
			"mnt-by" => "1:1",
			"mnt-lower" => "0:1",
			"changed" => "1:1",
			"source" => "1:0"
		);
		return $inet6num;
	}
	public function objectCheck() 
	{
		#$this->inet6numCheck("inet6num"); # ToDo // MARK
		$this->charnumCheck($this->objectarray["netname"][0], "netname");
		# it's mandatory btw :)
		if (array_key_exists("descr", $this->objectarray) == true) {
			$arr = array_values($this->objectarray["descr"]);
			foreach ($arr as $key => $value) {
				$this->maxlenghtCheck($value, "descr");
			}
		}
		if (array_key_exists("country", $this->objectarray) == true) {
			$arr = array_values($this->objectarray["country"]);
			foreach ($arr as $key => $value) {
				$this->countryCheck($value, "country");
			}
		}
		if ( array_key_exists("admin-c", $this->objectarray) == true) {
			$arr = array_values($this->objectarray["admin-c"]);
			foreach ($arr as $key => $value) {
				$this->contactCheck($value, "admin-c");
			}
		}
		if ( array_key_exists("tech-c", $this->objectarray) == true) {
			$arr = array_values($this->objectarray["tech-c"]);
			foreach ($arr as $key => $value) {
				$this->contactCheck($value, "tech-c");
			}
		}
		if (array_key_exists("revsrv", $this->objectarray) == true) {
			$arr = array_values($this->objectarray["revsrv"]);
			foreach ($arr as $key => $value) {
				$this->revsrvCheck($value, "revsrv");
			}
		}
		if ( array_key_exists("remarks", $this->objectarray) == true ) {
			$arr = array_values($this->objectarray["remarks"]);
			foreach ($arr as $key => $value) {
				$this->maxlenghtCheck($value, "remarks");
			}
		}
		if ( array_key_exists("notify", $this->objectarray) == true ) {
			$arr = array_values($this->objectarray["notify"]);
			foreach ($arr as $key => $value) {
				$this->emailCheck($value, "notify");
			}
		}
		if ( array_key_exists("mnt-by", $this->objectarray) == true ) {
			$arr = array_values($this->objectarray["mnt-by"]);
			foreach ($arr as $key => $value) {
				$this->mntbyCheck($value, "mntby");
			}
		}
		if (array_key_exists("mnt-lower", $this->objectarray) == true) {
			$arr = array_values($this->objectarray["mnt-lower"]);
			foreach ($arr as $key => $value) {
				$this->mntbyCheck($value, "mntlower");
			}
		}
		if (array_key_exists("changed", $this->objectarray) == true) {
			$arr = array_values($this->objectarray["changed"]);
			foreach ($arr as $key => $value) {
				$this->emailCheck($value, "changed");
			}
		}
	}
}
?>
