<?php
class person
{
	private $path = "";
	# construct
	# $path: string;
	# @return: void;
	function __construct($path = "")
	{
		$this->path = $path;
	}
	public function objectDelete($datain)
	{
		$objectstruct = $this->objectSet();
		require_once("{$this->path}lib/checkfcs.php");
		$checkfcs = new checkfcs($this->path);
		if (($personobj = $checkfcs->convertData($datain)) != false)
		{
			if (isset($personobj->{"nic-hdl"}->value))
			{
				/* predne - ziskat person ID; takze select do nichdl, a pak rovnou select do mnt-by.
				 * pokud count == 1, pak overit pritomnost pole passwd a auth;
				 * po smazani posleme e-mail lidem uvedenym v notify*/
				require_once("{$this->path}lib/db.php");
				$db = new db();
				$sql100 = "SELECT COUNT(*) AS count FROM nichdl WHERE nichdl = '" . $personobj->{"nic-hdl"}->value . "';";
				$result100 = $db->query($sql100);
				if ($result100[0]->count == 1)
				{
					$sql200 = "SELECT id_nichdl FROM nichdl WHERE nichdl = '" . $personobj->{"nic-hdl"}->value . "';";
					$result200 = $db->query($sql200);
					$sql300 = "SELECT id_person FROM person WHERE id_nichdl = {$result200[0]->id_nichdl};";
					$result300 = $db->query($sql300);
					/* ToDo - notify e-mail */
					$sql700 = "DELETE FROM person_address WHERE id_person = {$result300[0]->id_person};";
					$db->query($sql700);
					$sql701 = "DELETE FROM person_phone WHERE id_person = {$result300[0]->id_person};";
					$db->query($sql701);
					$sql702 = "DELETE FROM person_faxno WHERE id_person = {$result300[0]->id_person};";
					$db->query($sql702);
					$sql703 = "DELETE FROM person_email WHERE id_person = {$result300[0]->id_person};";
					$db->query($sql703);
					$sql704 = "DELETE FROM person_remarks WHERE id_person = {$result300[0]->id_person};";
					$db->query($sql704);
					$sql705 = "DELETE FROM person_notify WHERE id_person = {$result300[0]->id_person};";
					$db->query($sql705);
					$sql706 = "DELETE FROM person_mntby WHERE id_person = {$result300[0]->id_person};";
					$db->query($sql706);
					$sql707 = "DELETE FROM person_changed WHERE id_person = {$result300[0]->id_person};";
					$db->query($sql707);
					$sql708 = "DELETE FROM person WHERE id_person = {$result300[0]->id_person};";
					$db->query($sql708);
					$sql709 = "DELETE FROM nichdl WHERE id_nichdl = {$result200[0]->id_nichdl};";
					$db->query($sql709);
				} else {
				} // if $result100
			} else {
				throw new Exception("nic-hdl was not found.");
			} // if (isset($personobj
		} // if $personobj
	}
	# desc: fetches object person from DB
	# $datain: string;
	# @return: void;
	public function objectShow($nichdl)
	{
		/* ToDo - mntby */
		$person = new StdClass;
		require_once("{$this->path}lib/db.php");
		$db = new db();
		$sql_nichdl = "SELECT id_nichdl, nichdl AS value, form_order FROM nichdl WHERE nichdl = '{$nichdl}';";
		$person->{"nic-hdl"} = $db->query($sql_nichdl);
		$sql_person = "SELECT person AS value, id_person, id_source FROM person WHERE id_nichdl = ". $person->{"nic-hdl"}[0]->id_nichdl . ";";
		$person->person = $db->query($sql_person);
		$sql_address = "SELECT address AS value, form_order FROM person_address WHERE id_person = {$person->person[0]->id_person};";
		$person->address = $db->query($sql_address);
		$sql_phone = "SELECT phone AS value, form_order FROM person_phone WHERE id_person = {$person->person[0]->id_person};";
		$person->phone = $db->query($sql_phone);
		$sql_faxno = "SELECT faxno AS value, form_order FROM person_faxno WHERE id_person = {$person->person[0]->id_person};";
		$person->{"fax-no"} = $db->query($sql_faxno);
		$sql_email = "SELECT email AS value, form_order FROM person_email WHERE id_person = {$person->person[0]->id_person};";
		$person->{"e-mail"} = $db->query($sql_email);
		# nichdl
		$sql_remarks = "SELECT remarks AS value, form_order FROM person_remarks WHERE id_person = {$person->person[0]->id_person};";
		$result = $db->query($sql_remarks);
		require_once("{$this->path}lib/checkfcs.php");
		$checkfcs = new checkfcs();
		foreach ($result as $r)
		{
			$r->value = $checkfcs->char2ASCII($r->value);
		}
		$person->remarks = $result;
		$sql_notify = "SELECT notify AS value, form_order FROM person_notify WHERE id_person = {$person->person[0]->id_person};";
		$person->notify = $db->query($sql_notify);
		/* ToDo */
		#$sql_mntby = "SELECT mntby AS value, form_order FROM person_changed WHERE id_person = {$person->person[0]->id_person};";
		#$person->mntby = $db->query($sql_mntby);
		$sql_changed = "SELECT (changed || ' ' || changed_date) AS value, form_order FROM person_changed WHERE id_person = {$person->person[0]->id_person};";
		$person->changed = $db->query($sql_changed);
		# source
		$sql_source = "SELECT source AS value FROM source WHERE id_source = {$person->person[0]->id_source};";
		$person->source = $db->query($sql_source);
		$person->source[0]->{"form_order"} = 1000000;
		/* ToDo */
		#echo "<pre>";
		#print_r($person);
		#echo "</pre>";
		#exit();
		return $person;
	}
	# desc: add object person into DB
	# $datain: string;
	# @return: void;
	public function objectAdd($datain)
	{
		$objectstruct = $this->objectSet();
		if (is_object($personobj = $this->objectCheckSelf($datain, $objectstruct))) {
			require_once($this->path."lib/db.php");
			$db = new db($this->path);
			$sql_nichdl = "INSERT INTO nichdl (nichdl, form_order) VALUES ('" . $personobj->{"nic-hdl"}[0]->value
				. "', " . $personobj->{"nic-hdl"}[0]->formorder . ");";
			$db->query($sql_nichdl);
			$sql_idnichdl = "SELECT id_nichdl AS \"id_nichdl\" FROM nichdl WHERE nichdl = '"
				. $personobj->{"nic-hdl"}[0]->value . "';";
			$result2 = $db->query($sql_idnichdl);
			$sql_idsource = "SELECT id_source AS \"id_source\" FROM source WHERE source = '{$personobj->source[0]->value}';";
			$result3 = $db->query($sql_idsource);
			$sql_person = "INSERT INTO person (person, id_nichdl, id_source) VALUES ('" . $personobj->person[0]->value
				. "', {$result2[0]->id_nichdl}, " . $result3[0]->id_source . ");";
			$db->query($sql_person);
			$sql_idperson = "SELECT id_person AS \"id_person\" FROM person WHERE person = '" . $personobj->person[0]->value . "';";
			$result4 = $db->query($sql_idperson);
			if (array_key_exists("address", $personobj) == true)
		 	{
				$arr = array_values($personobj->address);
				foreach ($arr as $k => $v)
				{
					$sql_address = "INSERT INTO person_address (address, id_person, form_order)
					 	VALUES ('{$v->value}', {$result4[0]->id_person}, {$v->formorder});";
					$db->query($sql_address);
				}
			}
			# phone - optional - multiple
			if (array_key_exists("phone", $personobj) == true) {
				$arr = array_values($personobj->phone);
				foreach ($arr as $k => $v) {
					$sql_phone = "INSERT INTO person_phone (phone, id_person, form_order) VALUES
					 	('{$v->value}', {$result4[0]->id_person}, {$v->formorder});";
					$db->query($sql_phone);
				}
			}
			# fax-no - optional - multiple
			if (array_key_exists("fax-no", $personobj) == true) {
				$arr = array_values($personobj->{"fax-no"});
				foreach ($arr as $k => $v) {
					$sql_faxno = "INSERT INTO person_faxno (faxno, id_person, form_order) VALUES
						('{$v->value}', {$result4[0]->id_person}, {$v->formorder});";
					$db->query($sql_faxno);
				}
			}
			# e-mail - optional - multiple
			if (array_key_exists("e-mail", $personobj) == true) {
				$arr = array_values($personobj->{"e-mail"});
				foreach ($arr as $k => $v) {
					$sql_email = "INSERT INTO person_email (email, id_person, form_order) VALUES
						('{$v->value}', {$result4[0]->id_person}, {$v->formorder})";
					$db->query($sql_email);
				}
			}
			# remarks - optional - multiple
			if (array_key_exists("remarks", $personobj) == true) {
				$arr = array_values($personobj->remarks);
				foreach ($arr as $k => $v) {
					$sql_remarks = "INSERT INTO person_remarks (remarks, id_person, form_order) VALUES
						('{$v->value}', {$result4[0]->id_person}, {$v->formorder});";
					$db->query($sql_remarks);
				}
			}
			# notify - optional - multiple
			if (array_key_exists("notify", $personobj) == true) {
				$arr = array_values($personobj->notify);
				foreach ($arr as $k => $v) {
					$sql_notify = "INSERT INTO person_notify (notify, id_person, form_order) VALUES
						 ('{$v->value}', {$result4[0]->id_person}, {$v->formorder});";
					$db->query($sql_notify);
				}
			}
			# mnt-by - optional - multiple
			if (array_key_exists("mnt-by", $personobj) == true) {
				$arr = array_values($personobj->{"mnt-by"});
				foreach ($arr as $k => $v) {
					/* ToDo */
					$sql_mntby = ``;
					$db->query($sql_mntby);
				}
			}
			# changed - mandatory - multiple
			if (array_key_exists("changed", $personobj) == true) {
				$arr = array_values($personobj->changed);
				$date = date("Y-m-d H:m:s", time());
				foreach ($arr as $k => $v) {
					$sql_changed = "INSERT INTO person_changed (id_person, changed, changed_date, form_order)
						 VALUES ({$result4[0]->id_person}, '{$v->value}', '{$date}', {$v->formorder});";
					$db->query($sql_changed);
				}
			}
			return true;	
		} else {
			return false;
		}	// if object
	}
	# @return: array;
	public function objectSet()
	{
		$person = array(
			"person" => "1:0",
			"address" => "0:1",
			"phone" => "0:1",
			"fax-no" => "0:1",
			"e-mail" => "0:1",
			"nic-hdl" => "1:0",
			"remarks" => "0:1",
			"notify" => "0:1",
			"mnt-by" => "0:1",
			"changed" => "1:1",
			"source" => "1:0"
		);
		return $person;
	}
	# desc: self-check
	# $datain: string;
	# $objectstruct: array;
	# @return: void;
	public function objectCheckSelf($datain, $objectstruct)
	{
		require_once("{$this->path}lib/checkfcs.php");
		$checkfcs = new checkfcs();
		if (($personobj = $checkfcs->convertData($datain)) != false)
		{
			if ($checkfcs->checkObjectFields($objectstruct, $personobj) == false)
			{
				$errors = array();
				# person - mandatory - single
				$errors[] = $checkfcs->nameCheck($personobj->person[0]->value, "person");
				# address - optional - multiple
				if (array_key_exists("address", $personobj) == true)
			 	{
					$arr = array_values($personobj->address);
					foreach ($arr as $k => $v)
					{
						$errors[] = $checkfcs->maxlenghtCheck($v->value, "address");
					}
				}
				# phone - optional - multiple
				if (array_key_exists("phone", $personobj) == true) {
					$arr = array_values($personobj->phone);
					foreach ($arr as $k => $v) {
						$errors[] = $checkfcs->phoneCheck($v->value, "phone");
					}
				}
				# fax-no - optional - multiple
				if (array_key_exists("fax-no", $personobj) == true) {
					$arr = array_values($personobj->{"fax-no"});
					foreach ($arr as $k => $v) {
						$errors[] = $checkfcs->phoneCheck($v->value, "fax-no");
					}
				}
				# e-mail - optional - multiple
				if (array_key_exists("e-mail", $personobj) == true) {
					$arr = array_values($personobj->{"e-mail"});
					foreach ($arr as $k => $v) {
						$errors[] = $checkfcs->emailCheck($v->value, "e-mail");
					}
				}
				# nic-hdl - mandatory - single
				$errors[] = $checkfcs->nichdlCheck($personobj->{"nic-hdl"}[0]->value, "nic-hdl", "nichdl", "nichdl");
				# remarks - optional - multiple
				if (array_key_exists("remarks", $personobj) == true) {
					$arr = array_values($personobj->remarks);
					foreach ($arr as $k => $v) {
						$errors[] = $checkfcs->maxlenghtCheck($v->value, "remarks");
					}
				}
				# notify - optional - multiple
				if (array_key_exists("notify", $personobj) == true) {
					$arr = array_values($personobj->notify);
					foreach ($arr as $k => $v) {
						$errors[] = $checkfcs->emailCheck($v->value, "notify");
					}
				}
				# mnt-by - optional - multiple
				if (array_key_exists("mnt-by", $personobj) == true) {
					if (array_key_exists("password", $personobj)) {
						$arr = array_values($personobj->{"mnt-by"});
						foreach ($arr as $k => $v) {
							$errors[] = $checkfcs->mntbyCheck($v->value, "mnt-by", $personobj->password[0]->value);
						}
					} else {
						setNoticeMsg("mnt-by: filled password not found;");
						$errors[] = true;
					}
				}
				# changed - mandatory - multiple
				if (array_key_exists("changed", $personobj) == true) {
					$arr = array_values($personobj->changed);
					foreach ($arr as $k => $v) {
						$errors[] = $checkfcs->emailCheck($v->value, "changed");
					}
				}
				$errors[] = $checkfcs->sourceCheck($personobj->source[0]->value, "source");
				# check if there was error or not
				if (in_array(true, $errors) == true)
				{
					throw new Exception("Error has occured during values check.");
				} else {
					return $personobj;
				}
			}
			else
			{
				throw new Exception("Error has occured during field check.");
			} // checkobject
		}	// if $personobj
		else
		{
			throw new Exception("Error during data processing.");
		}
	}
}
?>
