<?php
class route 
{
	public function objectSet() 
	{
		$route = array(
			"route" => "1:0",
			"descr" => "1:1",
			"origin" => "1:0",
			"remarks" => "0:1",
			"notify" => "0:1",
			"mnt-lower" => "0:1",
			"mnt-routes" => "0:1",
			"mnt-by" => "1:1",
			"changed" => "1:1",
			"source" => "1:0"
		);
		return $route;
	}
	public function objectCheck() 
	{
		# single + mandatory
		$this->ipv4Check($this->objectarray["route"][0], "route", "route"); // CHECK -> TABLE
		# it's mandatory btw :)
		if (array_key_exists("descr", $this->objectarray) == true) {
			$arr = array_values($this->objectarray["descr"]);
			foreach ($arr as $key => $value) {
				$this->maxlenghtCheck($value, "descr");
			}
		}
		# single + mandatory
		$this->originCheck($this->objectarray["origin"][0], "origin");
		if ( array_key_exists("remarks", $this->objectarray) == true ) {
			$arr = array_values($this->objectarray["remarks"]);
			foreach ($arr as $key => $value) {
				$this->maxlenghtCheck($value, "remarks");
			}
		}
		if ( array_key_exists("notify", $this->objectarray) == true ) {
			$arr = array_values($this->objectarray["notify"]);
			foreach ($arr as $key => $value) {
				$this->emailCheck($value, "notify");
			}
		}
		if (array_key_exists("mnt-lower", $this->objectarray) == true) {
			$arr = array_values($this->objectarray["mnt-lower"]);
			foreach ($arr as $key => $value) {
				$this->mntbyCheck($value, "mntlower");
			}
		}
		$this->mntrouteCheck("mnt-routes"); # ToDo - mnt-routes Check // MARK
		if ( array_key_exists("mnt-by", $this->objectarray) == true ) {
			$arr = array_values($this->objectarray["mnt-by"]);
			foreach ($arr as $key => $value) {
				$this->mntbyCheck($value, "mntby");
			}
		}
		if (array_key_exists("changed", $this->objectarray) == true) {
			$arr = array_values($this->objectarray["changed"]);
			foreach ($arr as $key => $value) {
				$this->emailCheck($value, "changed");
			}
		}
	}

}
?>
