<?php
class source extends defaultLib
{
	public $settings;
	public $auto_index = -1;
	private $path;

	function __construct()
	{
		$this->settings = new stdClass;
		$settings = $this->settings;
		$settings->xmlobject = new stdClass;
		// layout to load
		$settings->layout = "layout.xsl";
	}
	function __destruct()
	{
		unset($this->settings);
	}
	public function init() 
	{
		$this->path = $this->getPath();
		$action = "form";
		if (isset($_GET['action']) && !empty($_GET['action']))
		{
			$action = $this->stripMe($_GET['action']);
		} // if set action
		switch ($action)
		{
		case 'set':
			$this->setSource();
			break;
		default:
			$this->sourceForm();
			break;
		} // switch
	} // init
	private function sourceForm()
	{
		$this->settings->import[0] = new StdClass;
		$this->settings->import[0] = "xsl/source/sourceform.xsl";
		require_once("{$this->path}lib/db.php");
		$db = new db();
		$sql1 = "SELECT COUNT(*) AS rowcount FROM source;";
		$arr = $db->query($sql1);
		if ($arr[0]->rowcount == 0)
		{
			throw new Exception("No sources defined! Insert some sources into DB and since then, BYE!");
		} else {
			$sql2 = "SELECT * FROM source;";
			$arr = $db->query($sql2);
			$xml = $this->settings->xmlobject;
			$xml->formaction = "index.php?module=source&#38;action=set";
			$xml->source = $arr;
		}
	}
	private function setSource()
	{
		$idsource = -1;
		if (isset($_POST['source']) && is_numeric($_POST['source']))
		{
			$idsource = $this->stripMe($_POST['source']);
		}
		$sql1 = "SELECT COUNT(*) AS rowcount FROM source WHERE id_source = {$idsource};";
		require_once("{$this->path}lib/db.php");
		$db = new db();
		$arr = $db->query($sql1);
		if ($arr[0]->rowcount == 1)
		{
			$sql2 = "SELECT source FROM source WHERE id_source = {$idsource};";
			$arr = $db->query($sql2);
			$_SESSION['RIPESOURCE'] = $arr[0]->source;
			setNoticeMsg("Source is set to '{$_SESSION['RIPESOURCE']}';");
			$this->sourceForm();
		} else {
			setNoticeMsg("Source not found;");
			$this->sourceForm();
		}
	} // setSource()
}
?>
