<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:template name="content">
		<form id="objecteditform" name="objecteditform" action="{formaction}" method="post">
			<fieldset>
				<legend>Edit object:</legend>
				<textarea name="inputarea" cols="65" rows="16">
					<xsl:for-each select="obj/*">
						<xsl:sort select="./form_order" data-type="number" order="ascending" />
						<xsl:value-of select="name()" />: <xsl:value-of select="./value" /><xsl:value-of select="/root/newline" />
					</xsl:for-each>
				</textarea>
				<br />
				<br />
				<input id="edit" name="edit" type="submit" value="Submit" />
			</fieldset>
			<fieldset>
				<legend>Delete object:</legend>
				<p>Please write down reason for deleting the object.</p>
				<input id="reason" name="reason" type="text" maxlength="256" size="32" value="{reasontext}" />
				<br />
				<br />
				<input id="delete" name="delete" type="submit" value="Delete" />
			</fieldset>
		</form>
		<xsl:if test="notice/entry">
			<h5>Following errors were detected:</h5>
			<ul>
				<xsl:for-each select="notice/entry">
					<li><xsl:value-of select="text" /></li>
				</xsl:for-each>
			</ul>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
